﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@*@using Portal.Models.Supplier;
@using Portal.Models.PartInfo;
@using Portal.Models.Globals;*@

@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "ICS User Name ";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
                      @Html.DevExpress().TextBox(
                            edtSettings =>
                            {
                                edtSettings.Name = "txtIcsUser";
                               // edtSettings.Text = "C001";
                                edtSettings.Properties.EnableClientSideAPI = true;
                                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                              }).GetHtml()
        </td>   
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "LDAP User Name";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
                     @Html.DevExpress().TextBox(
                            edtSettings =>
                            {
                                edtSettings.Name = "txtLdapUser";
                               // edtSettings.Text = "C001";
                                edtSettings.Properties.EnableClientSideAPI = true;
                                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                              }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
       
         <td align="right">
           @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearchICSUser";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClearICSUSer";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }).GetHtml()
         
                 @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnICSUser";
                    button.Text = "New";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "AddICSUser";
                }
            ).GetHtml()
         </td>
    
    </tr>
</table>
<div style="height:15px;"></div> @* div spacing *@
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="right"style="padding-right:10px;">
                  
        </td>         
    </tr>
</table>
@*}*@